POST V1/Inventory.{ext}/BulkDownloadBillTrackSummary/{billFromDate}/{billToDate}/{siteGroup}/{siteNumber}/{accountNumber}/{transactionId}/{isSmartClient}?pageIndex={pageIndex}&pageSize={pageSize}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

billFromDate

No description available

string

None.

billToDate

No description available

string

None.

siteGroup

No description available

string

None.

siteNumber

No description available

string

None.

accountNumber

No description available

string

None.

transactionId

No description available

string

None.

isSmartClient

No description available

string

None.

Body Parameters

EMS.Inventory.Entities.billtracksummary
NameDescriptionTypeAdditional information
siteGroupId

No description available

string

None.

siteId

No description available

string

None.

utilityType

No description available

string

None.

accountStatus

No description available

string

None.

fromMonth

No description available

string

None.

toMonth

No description available

string

None.

fromYear

No description available

string

None.

toYear

No description available

string

None.

accountId

No description available

string

None.

billingAccountNumber

No description available

string

None.

vendorId

No description available

string

None.

searchCriterias

No description available

EMS.Inventory.Entities.SearchCriterias

None.

filename

No description available

string

None.

username

No description available

string

None.

title

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "siteGroupId": "sample string 1",
  "siteId": "sample string 2",
  "utilityType": "sample string 3",
  "accountStatus": "sample string 4",
  "fromMonth": "sample string 5",
  "toMonth": "sample string 6",
  "fromYear": "sample string 7",
  "toYear": "sample string 8",
  "accountId": "sample string 9",
  "billingAccountNumber": "sample string 10",
  "vendorId": "sample string 11",
  "searchCriterias": {
    "searchCriteriaList": [
      {
        "title": "sample string 1",
        "value": "sample string 2"
      },
      {
        "title": "sample string 1",
        "value": "sample string 2"
      }
    ]
  },
  "filename": "sample string 12",
  "username": "sample string 13",
  "title": "sample string 14"
}

application/xml, text/xml

Sample:
<billtracksummary xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <accountId>sample string 9</accountId>
  <accountStatus>sample string 4</accountStatus>
  <billingAccountNumber>sample string 10</billingAccountNumber>
  <filename>sample string 12</filename>
  <fromMonth>sample string 5</fromMonth>
  <fromYear>sample string 7</fromYear>
  <searchCriterias>
    <SearchCriteriaList>
      <SearchCriteria>
        <Title>sample string 1</Title>
        <Value>sample string 2</Value>
      </SearchCriteria>
      <SearchCriteria>
        <Title>sample string 1</Title>
        <Value>sample string 2</Value>
      </SearchCriteria>
    </SearchCriteriaList>
  </searchCriterias>
  <siteGroupId>sample string 1</siteGroupId>
  <siteId>sample string 2</siteId>
  <title>sample string 14</title>
  <toMonth>sample string 6</toMonth>
  <toYear>sample string 8</toYear>
  <username>sample string 13</username>
  <utilityType>sample string 3</utilityType>
  <vendorId>sample string 11</vendorId>
</billtracksummary>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

System.Net.Http.HttpResponseMessage
NameDescriptionTypeAdditional information
Version

No description available

System.Version

None.

Content

No description available

System.Net.Http.HttpContent

None.

StatusCode

No description available

System.Net.HttpStatusCode

None.

ReasonPhrase

No description available

string

None.

Headers

No description available

Collection of Object

None.

RequestMessage

No description available

System.Net.Http.HttpRequestMessage

None.

IsSuccessStatusCode

No description available

boolean

None.